Skip to content

Update a label

Request

OAuth 2.0 scope:
  • okta.governance.labels.manage
Admin roles:
  • SUPER_ADMIN

Updates the properties of a label

Path
labelIdstringrequired

Unique identifier for the label

Bodyapplication/jsonrequired
Array [
opstring, non-empty(label-patch-op)required

The operation to perform a label update

Value:"REPLACE"
pathstringrequired

The path of the property to update. Use the /name path to update the label category name.

valuestring, <= 50 characters

The value of the updated property

refTypestringrequired

The label property for the update operation

Value:"LABEL-CATEGORY"
Discriminator
]
PATCH
/governance/api/v1/labels/{labelId}
curl -i -X PATCH \
  'https://subdomain.okta.com/governance/api/v1/labels/{labelId}' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "REPLACE",
      "path": "/name",
      "value": "Compliance",
      "refType": "LABEL-CATEGORY"
    }
  ]'

Responses

Resource label updated successfully

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
labelIdstring, = 20 characters(label-id)required

The ID of a label

namestring, [ 1 .. 50 ] charactersrequired

Key name of the label

valuesArray of objects, <= 10 items(label-value)required

List of label values

Response
{ "labelId": "lbco3v6xlwdtEX2il1d6", "name": "Compliance", "values": [ {}, {} ], "_links": { "self": {} } }